A base rule which calls `match`

The value from the `match` function is passed through to the `handler`.

### Hierarchy

- BaseUrlRule

### Implements

- UrlRule

## Index

### Constructors

- constructor

### Properties

- $id
- handler
- match
- priority
- type

### Methods

- matchPriority

## Constructors

- new BaseUrlRule(match: UrlRuleMatchFn, handler?: UrlRuleHandlerFn): BaseUrlRule

- #### Parameters

  - ##### match UrlRuleMatchFn

  - ##### handler: Optional UrlRuleHandlerFn

  #### Returns BaseUrlRule

  - Defined in url/urlRule.ts:211

## Properties

$id: number

Implementation of UrlRule.$id

- Defined in url/urlRule.ts:207

handler: UrlRuleHandlerFn

Implementation of UrlRule.handler

- Defined in url/urlRule.ts:210

match: UrlRuleMatchFn

Implementation of UrlRule.match

- Defined in url/urlRule.ts:213

priority: number

Implementation of UrlRule.priority

- Defined in url/urlRule.ts:208

type: UrlRuleType = "RAW"

Implementation of UrlRule.type

- Defined in url/urlRule.ts:209

## Methods

- matchPriority(match: any): number

- #### Parameters

  - ##### match any

  #### Returns number

  Implementation of UrlRule.matchPriority

  - Defined in url/urlRule.ts:211

Generated using TypeDoc